summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--games/openarena/README23
-rw-r--r--games/openarena/doinst.sh7
-rw-r--r--games/openarena/openarena-server.desktop10
-rw-r--r--games/openarena/openarena-server.pngbin0 -> 2302 bytes
-rw-r--r--games/openarena/openarena.SlackBuild89
-rw-r--r--games/openarena/openarena.desktop10
-rw-r--r--games/openarena/openarena.info8
-rw-r--r--games/openarena/openarena.pngbin0 -> 2255 bytes
-rw-r--r--games/openarena/slack-desc19
9 files changed, 166 insertions, 0 deletions
diff --git a/games/openarena/README b/games/openarena/README
new file mode 100644
index 0000000000..2fe5ac9dd8
--- /dev/null
+++ b/games/openarena/README
@@ -0,0 +1,23 @@
+OpenArena is an open-source content package for Quake III Arena licensed
+under the GPL, effectively creating a free stand-alone game.
+You do not need Quake III Arena to play this game.
+
+OpenArena has bots, network playability, many maps and most of the other
+features you would expect from a commercial first person shooter.
+
+OpenArena requires the OpenAL library found on SlackBuilds.org. It also
+requires 3D accelerated video drivers but runs quite well on the open-source
+Intel drivers.
+
+Please be advised that the main game zip file, oa070.zip, is about 250MB.
+Additionally, one must download the following patch:
+ http://oxygen4.free.fr/dl/oa071-patch.zip
+ md5sum 5fa31998009f8241ad3ded93eb81e701
+which is about 12MB, and place it in the directory with the SlackBuild and
+the main game zip file. The SlackBuild will patch the original source and
+install version 0.7.1 of OpenArena.
+
+Note: this SlackBuild sets things up for i386, but 64 bit binaries are also
+copied into the game directory, so with minor edits to the doinst.sh and the
+two *.desktop files this script could be used with 64 bit systems, but this
+is untested.
diff --git a/games/openarena/doinst.sh b/games/openarena/doinst.sh
new file mode 100644
index 0000000000..2cf8c08ed3
--- /dev/null
+++ b/games/openarena/doinst.sh
@@ -0,0 +1,7 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x usr/bin/update-mime-database ]; then
+ ./usr/bin/update-mime-database ./usr/share/mime >/dev/null 2>&1
+fi
diff --git a/games/openarena/openarena-server.desktop b/games/openarena/openarena-server.desktop
new file mode 100644
index 0000000000..f1ffbf06a8
--- /dev/null
+++ b/games/openarena/openarena-server.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=OpenArena Server
+GenericName=Game
+Comment="Run an OpenArena server"
+Exec=/usr/games/openarena-server
+Icon=/usr/share/pixmaps/openarena-server.png
+Terminal=true
+MultipleArgs=false
+Type=Application
+Categories=Network;
diff --git a/games/openarena/openarena-server.png b/games/openarena/openarena-server.png
new file mode 100644
index 0000000000..55c5177f51
--- /dev/null
+++ b/games/openarena/openarena-server.png
Binary files differ
diff --git a/games/openarena/openarena.SlackBuild b/games/openarena/openarena.SlackBuild
new file mode 100644
index 0000000000..62e8dcc3e7
--- /dev/null
+++ b/games/openarena/openarena.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for OpenArena
+
+# Written by Chess Griffin <chess@chessgriffin.com>
+
+PRGNAM=openarena
+VERSION=${VERSION:-0.7.0}
+FINAL_VERSION=${FINAL_VERSION:-0.7.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="CHANGES COPYING CREDITS LINUXNOTES README $CWD/$PRGNAM.SlackBuild"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+if test ! -f "oa071-patch.zip";
+ then echo "You need the oa71-patch.zip file in order to proceed. \
+Please download it from: \
+http://oxygen4.free.fr/dl/oa071-patch.zip and then re-run \
+this SlackBuild."
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip -o $CWD/oa070.zip
+unzip -o $CWD/oa071-patch.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Uncomment the next line to disable semi-nude models
+# rm -f baseoa/pak2-players-mature.pk3
+
+install -D -m 0644 $CWD/openarena-server.desktop \
+ $PKG/usr/share/applications/openarena-server.desktop
+install -D -m 0644 $CWD/openarena.desktop \
+ $PKG/usr/share/applications/openarena.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/*.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$FINAL_VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$FINAL_VERSION
+find $PKG/usr/doc/$PRGNAM-$FINAL_VERSION -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/usr/share/games/openarena/baseoa
+cp -a baseoa/* $PKG/usr/share/games/openarena/baseoa
+find $PKG/usr/share/games/openarena/baseoa -type f -exec chmod 0644 {} \;
+cp -a ioq* lib* openarena* $PKG/usr/share/games/openarena
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+chmod 755 $PKG/usr/share/games/openarena/*
+
+mkdir -p $PKG/usr/games
+cd $PKG/usr/games
+ ln -sf /usr/share/games/openarena/ioquake3.i386 openarena
+ ln -sf /usr/share/games/openarena/ioq3ded.i386 openarena-server
+cd -
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$FINAL_VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/openarena/openarena.desktop b/games/openarena/openarena.desktop
new file mode 100644
index 0000000000..ec73e6092e
--- /dev/null
+++ b/games/openarena/openarena.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=OpenArena
+GenericName=Game
+Comment="An open source Quake3-based FPS game"
+Exec=/usr/games/openarena
+Icon=/usr/share/pixmaps/openarena.png
+Terminal=false
+MultipleArgs=false
+Type=Application
+Categories=Game;ActionGame;
diff --git a/games/openarena/openarena.info b/games/openarena/openarena.info
new file mode 100644
index 0000000000..662d1fcd8b
--- /dev/null
+++ b/games/openarena/openarena.info
@@ -0,0 +1,8 @@
+PRGNAM="openarena"
+VERSION="0.7.0"
+HOMEPAGE="http://www.openarena.ws"
+DOWNLOAD="http://download.tuxfamily.net/cooker/openarena/rel070/oa070.zip"
+MD5SUM="739548bfc5dc1d129d20c0f67d54df48"
+MAINTAINER="Chess Griffin"
+EMAIL="chess@chessgriffin.com"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/games/openarena/openarena.png b/games/openarena/openarena.png
new file mode 100644
index 0000000000..0fa1f4ec3b
--- /dev/null
+++ b/games/openarena/openarena.png
Binary files differ
diff --git a/games/openarena/slack-desc b/games/openarena/slack-desc
new file mode 100644
index 0000000000..39f65109ab
--- /dev/null
+++ b/games/openarena/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+openarena: OpenArena (open-source Quake3 type game)
+openarena:
+openarena: OpenArena is an open-source content package for Quake III Arena
+openarena: licensed under the GPL, effectively creating a free stand-alone
+openarena: game. You do not need Quake III Arena to play this game.
+openarena: OpenArena has bots, network playability, many maps, and most of the
+openarena: other features you would expect from a commercial first person
+openarena: shooter game.
+openarena:
+openarena: Homepage: http://www.openarena.ws
+openarena: